Skip to main content
POST
/
v1
/
sources
/
nango
/
register
Register Connection
curl --request POST \
  --url https://api.ontora.com/v1/sources/nango/register \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_type": "gmail",
  "nango_connection_id": "<string>",
  "external_account_id": "<string>",
  "display_name": "<string>",
  "is_personal": false
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_type": "gmail",
  "nango_connection_id": "<string>",
  "vault_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "display_name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ontora.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
workspace_id
string<uuid>
required
source_type
enum<string>
required
Available options:
gmail,
notion,
google-drive,
voice-session,
hubspot,
pipedrive,
google-calendar,
attio,
slack,
manual,
interview
nango_connection_id
string
required
external_account_id
string | null
display_name
string | null
is_personal
boolean
default:false

Response

Successful Response

id
string<uuid>
required
workspace_id
string<uuid>
required
source_type
enum<string>
required
Available options:
gmail,
notion,
google-drive,
voice-session,
hubspot,
pipedrive,
google-calendar,
attio,
slack,
manual,
interview
nango_connection_id
string
required
vault_ids
string<uuid>[]
required
display_name
string | null